> ## Documentation Index
> Fetch the complete documentation index at: https://docs.niadra.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Definir cotas

> Limites de uso por tenant. Rota da operação da Niadra.



## OpenAPI

````yaml openapi/pt/control.json PUT /v1/quotas
openapi: 3.1.0
info:
  title: API de controle da Niadra
  version: '1'
  description: >-
    Tenants, projetos, fontes, chaves, pessoas, configuração e uso. Nunca recebe
    conteúdo de cliente.
servers:
  - url: https://control.api.niadra.com
security: []
paths:
  /v1/quotas:
    put:
      summary: Definir cotas
      description: >-
        Define um limite de uso para um tenant, por métrica e período. Usada
        pela operação da Niadra.


        **Autenticação.** Credencial de operador (`X-Niadra-Operator-Token`).
        Usada pela operação da Niadra, não pelo seu código.
      operationId: set_quota_v1_quotas_put
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/QuotaIn'
            example:
              tenant_id: 0192f0a0-1b2c-7d3e-8f40-5a6b7c8d9e01
              metric: session_billable
              limit: 250000
              period: month
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QuotaIn'
              example:
                tenant_id: 0192f0a0-1b2c-7d3e-8f40-5a6b7c8d9e01
                metric: session_billable
                limit: 250000
                period: month
          description: A cota em vigor.
        '422':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Problem'
          description: O pedido não bate com o contrato.
      security:
        - operatorToken: []
components:
  schemas:
    QuotaIn:
      additionalProperties: false
      properties:
        limit:
          minimum: 0
          title: Limit
          type: integer
        metric:
          maxLength: 256
          minLength: 1
          title: Metric
          type: string
        period:
          default: month
          title: Period
          type: string
          description: O período em que o limite é contado. O padrão é `month`.
        tenant_id:
          format: uuid
          title: Tenant Id
          type: string
      required:
        - tenant_id
        - metric
        - limit
      title: QuotaIn
      type: object
    Problem:
      additionalProperties: false
      description: >-
        Detalhes do problema no formato da RFC 9457; `code` vem do catálogo de
        erros versionado.
      properties:
        code:
          title: Code
          type: string
        detail:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Detail
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Request Id
        status:
          title: Status
          type: integer
        title:
          title: Title
          type: string
        type:
          default: about:blank
          title: Type
          type: string
      required:
        - title
        - status
        - code
      title: Problem
      type: object
  securitySchemes:
    operatorToken:
      type: apiKey
      in: header
      name: X-Niadra-Operator-Token

````